Skip to main content
POST
/
{alias}
/
config
/
photos
Criar configuração de foto
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/config/photos \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "width_small": 123,
  "height_small": 123,
  "width_thumb": 123,
  "height_thumb": 123,
  "width_medium": 123,
  "height_medium": 123,
  "width_large": 123,
  "height_large": 123
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/config/photos"

payload = {
"width_small": 123,
"height_small": 123,
"width_thumb": 123,
"height_thumb": 123,
"width_medium": 123,
"height_medium": 123,
"width_large": 123,
"height_large": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
width_small: 123,
height_small: 123,
width_thumb: 123,
height_thumb: 123,
width_medium: 123,
height_medium: 123,
width_large: 123,
height_large: 123
})
};

fetch('https://api.dooki.com.br/v2/{alias}/config/photos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json

Representa os dados necessários para criar ou atualizar uma configuração de fotos

width_small
integer
required

Largura da foto pequena

height_small
integer
required

Altura da foto pequena

width_thumb
integer
required

Largura da miniatura

height_thumb
integer
required

Altura da miniatura

width_medium
integer
required

Largura da foto média

height_medium
integer
required

Altura da foto média

width_large
integer
required

Largura da foto grande

height_large
integer
required

Altura da foto grande

Response

Configuração de foto criada com sucesso